v3.34 02/01/2018
Fixes:
- Allied races' crests are now shown in afk screen. No more green squares of doom.
Misc:
- Merchant skin augmentations now should account for latest API changes.

v3.33 01/31/2018
Additions:
- Added an option to set a quest log state based on being in combat
- Added an option for dead indicator for party/raid/raid40 frames
- Enhanced shadows are now supporting minimap (with data panels if enabled) and chat panels
- Movable frames can now remember positions. Character based.
Fixes:
- Transparent bag slots now aknowlages reagent bank as a bag
- Fixed errors on removing gold data for character
- Fixed error in chat on sending a channel to new tab (it took too long, I know)
- Fix inspect error for new Races. Thx Benedice
Misc:
- Illusions are back to armory inspect.
- Accounted for yet another realm id being changed
- Eqiup manager now understands no conditions sets. E.g. "[instance] Set1; Set2" will equip Set1 while in dungeon and Set2 in any other situation.
- Gem slots in character armory now showld be positioned under enchant text

v3.32 01/23/18
Additions:
- Added overlay option for armory inspect
- Added raid markers mouseover option
- Added an option to color armory gradient textures to reflect item quality
- Added option to disable tooltips on raid marker bar
Fixes:
- Fixed dungeon difficulty flag acting weird
- Fixed artifact databar throwing errors on recieving a lot of AP
Misc:
- Temporary disabled inspect armory illusion check until we find a reliable way to perform checks


v3.31 12/6/17
Additions:
- LFR completion info in time datatext.
Fixes:
- Inspect aromory shows illusion now.
- Chat history now works again.

v3.30 12/1/17
Fixes:
- Fixed region check for chat history throwing unintended errors. Also made it more aware of non existant values. Blizzard changed relmIDs around again *sigh*

v3.29 12/1/17
Changes:
- Take changes in oUF into consideration
- Account for changes in chat history
- Combat icon and rested icon options removed due to those being in core ElvUI now
Additions:
- Option to hide annoying NPCs talking about stuff in the middle of your screen
- Option to color item levels as item rarity in armory
- Vehicle actionbar now supports Masque
- Raid progression for Antorus in tooltips
Fixes:
- Fixed talent equip tag working incorrectly
- Fixed a number of weird things in armory
- Fix numbers for weird resolutions
- Fix the script always expecting additional arguments for equip tags
- Chat tabs selected indicator not properly updating sometimes
- Fixed instance indicator showing flags when it shouldn't
- Fixed a number of weird errors everywhere

v3.28 10/1/17
Additions:
- Added missed currencies to the datatext
- Added "Hide in class hall" for location bar
- Added options for threat and target count on nameplates
Fixes:
- Fixed bug in config for threat bar settings
- Fixed "damn elusive" bug with portrait overlay
- Compatibility fixes to work with ElvUI 10.64

v3.27 08/29/17
Changes:
- Changed the way aura threshold works to avoid incompatibility with CustomTweaks
- Changed calls for playing sounds to account for patch 7.3
- Altered the way deconstruct checks are executed. Should be more consistent now
Fixes:
- Fixed backround positioning resetting
Additions:
- Added an option to disable inspecting message in chat

v3.26 06/28/17
Changes:
- Changed the way tomtom waypoints are ignored by minimap button skinning process
Fixes:
- 2 new currencies are back to the corresponding datatext, could swear I added those some time ago but who knows
- Corrected min ilvl required for Tomb of Sargeras LFR


v3.25 06/28/17
Fixes:
- Fixed another black box instead of icon on quest progression
- Fixed prestige icon pvp timer
- Fixed white borders in inspect armory when thin borders are disabled
- Fixed skinning for tomtom stuff
Additions:
- Added [talent] tag for equip manager
- Added Tomb of Sargers to tooltip raid progression and LFR lockout in time DT


v3.24 06/17/17
Fixes:
- Fixed AP in bags showing 0 for non-AP items after ElvUI update
Changes:
- Account for changes in ElvUI v10.55

v3.23 06/12/17
Addition:
- Replaced equipment manager options with a new option. Now you can use tag system to make spec switching more flexible
- Added an option to set a threshold on unitframe auras for showing decimals
Fixes:
- Probably fixed a rare error in deconstruct mode when item info could not be adequately processed
- Should have fixed the camera issues with afk screen closing
- Fixed some errors in inspect
- Fixed relam names in guild datatext for realms consisting of 2 words
- Fixed decoonstruct mode not accounting for legion lockboxes
- Fixed giant black box for world quests progress bars in objective tracker
Changes:
- Replaced deprecated functions
- Accounted for ElvUI's chat changes
- Preventing taints for tooltips in 7.2.5
- Using ElvUI's functions to calculate AP in bags
- Altered Darth's install profile. healer layout now looks caster-ish

v3.22 04/09/17
Fixes:
- Fixed error in enhnced shadows module caused by microbar being disabled
- Fixed icon borders being off
- Fixed AP calculation in Armory and bags
Additions:
- Added an option to hide artifact monitor in armory. This is character based
- Added missing currencies in the datatext
Changes:
- Settings for item level fonts in stats display of the armory being altered. All the changes for that options made previously will be reset.

v3.21 03/30/17
Fixes:
- Fixed first opening character armory error
Additions:
- Added options for bar buttons in enhanced shadows
Changes:
- Enhanced shadows for actionbars as a whole now applies to backdrop only and is hidden alongside it

v3.20 03/29/17
Fixes:
- Fixed afk screen related error on load

v3.19 03/28/17
Patch 7.2 compatible. Requires ElvUI 10.46 to run.
Additions:
- Added an option for player frame to show pvp text on the prestige icon
- Added font options for banners' title text (e.g. world quest title)
- Added character spesific option to alter offset of dropdown menu of specialization datatext
Fixes:
- Fied primary stat missing from the list on character screen
- Fixed altoholic button not moving to button bar
- Fixed artifact power throwing errors when a caged pet is present in bags
- Fixed role icons missing on BGs
- Fixed some localization being broken
- Fixed enabling cht datatext panels causing an error

v3.18 01/11/2017
Additions:
- Inspect Armory now has "try this transmog" button from default interface
- German translation added (we can all blame Merathilis for the typos now)
- Added more items to the list of teleports in location bar
Fixes:
- Honor messages with "rested" honor should now be appropriately styled when the option or it is enabled in databars
- Hono bar full values should now be avalable right after the loding screen
- Fixed weird behavior and a level up error in time played DT
- Fixed character screen overlay option not really working when DejaCharacterStats is enabled
- Fixed DCS expand button being waaay behing the background
- Fixed Inspect Armory being broken after 7.1.5
Changes:
- Adopted different detection script for artifact power in bags
- Followed ElvUI's afk screen changes

v3.17
Additions:
- Added new icon set to role icons selection
- Added options for Artifact monitor in Armory
- Added an option to use (or not) backdrop overlay on player model from ElvUI's character window skin
- Armory Inspect now lets you select class color of the inspected unit as a gradient option

Fixes:
- Fixed level up error in played DT
- Fixed bag sorting freeze the game when showing artifact power in bags is enabled
- DK's offhand rune will no longer appear on artifact monitor
- Armory Inspect function is in a more working order
- Fix Artifact/Honor bar doing funny stuff b/c of some unneeded code
- Location Bar issues SHOULD be fixed


v3.16 11/15/2016
Additions:
- Added Artifact Power Tracking for weapon on character screen
- Added tracking of Trial of Valor LFR
- Added Trial of Valor to raid progression tooltip

Fixes:
- Fixed lua errors when entering instances where player location data isn't available
- Fixed an error in quest tracker when ElvUI's skin for it is disabled
- Fixed hnor databar options causing errors
- Fixed chat history being shown twice
- Fixed QuestGuru skin
- Fixed random error in coordinate update throttle
- Fixed an error when acessing bank with no currency tracked in bags

Changes:
- Removed the ability to remotely inspect other S&L users until links are worked out
- Updated inspect frame a bit to be 7.0 compatible (Still Not Tested Fully)
- Time played span caused by corresponding datatext should now be reduced
- World Quest group in objective tracker now follows font options for the tracker


v3.15 10/25/2016

Currently we have a lot of stuff IRL to attend to so new releases will be very slow. If you don't want to wait, you can always try alpha version. Link in the description.

This version requires patch 7.1 and ElvUI v10.25 to function. Be sure to not update to early.

Additions:
- Added missed quest item to disenchantable list for deconstruction mode.
- Telemancy beacon is added to relocation list.
- Added an option to ignore zone changes when checking for equipped set for your spec. Now it will do it only on spec switch.
- Added option to show power gain on artifact power items in bags.
Fixes:
- Fixed "script ran too long" error in chat's links parsing. Now no action will be executed for them in combat.
- Fixed currency not showing up in currency DT when moved out of unused section.
- Attempts at fixing various random nil errors in dropdowns.
- Fixed combat icon disappearing after latest ElvUI changes.
- Fixed chat frame position being moved on load with some option/position combinations.
- Fixed QuestGuru skin.
Changes:
- Dalaran portal in location panel dropdown now uses correct ID.
- Short label on regen DT now also shortens the value.
- Raid progress in tooltip updated for Legion raids.
Misc:
- The message about inability to swap equip set should now be shown only once per combat.


v3.14 09/12/2016
Additions:
- Added an option to disable QuestGuru skin. Skin is now disabled by default.
- World quest statusbar is now skinned.
- Added button spacing for minimap buttons bar, also added backdrop style option for it
- Added some coloring options for location panel
Fixes:
- Time played datatext will not error on mouseover.
- Fixed merchant skin randomly complaining about item quality.
- Nameplates now should not get confused when you have vehicles/NPCs in your party.
- Fixed databars not respecting hide in combat option
- Fixed random error of faction being not faction in rep bar
- Attempt at fixing portal dropdown sometimes not allowing spells to be casted
Changes:
- Logic to filter weapon enchants warning was changed.
- Deconstruct mode now recognises artifact relics and some quest items as legit targets for DE. Also it now knows Legion has new ores and herbs.
- A lot of option groups now have tabs instead of dropdowns
- Player being in order hall is now more reliably checked
- Minimap alpha option was removed due to it causing "map blackout" when indoors. Thanks Namekal for paying attention to this after years of people not even mentioning they were changing that option when reporting this bug.


v3.13 08/29/2016
A number of files were deleted in this release. We would suggest to manually remove S&L's folder and install it again instead of just auto updating.
For a couple of days any issues will be slow to get answers/fixes cause of leveling. Sorry for the inconvenience.

Additions:
- Added QuestGuru skin
- Quick action option for UI Buttons' addon section received some love = more variants 
- Added an option to show only numbers in instance indicator
- Location panel menu now contains a lot more teleporting stuff
- UI Buttons and Background panels now have visibility state option. Works like actionbar visibility.
- Added an option to select background template for vehicle bar.
- Added an option to hide in combat for location panel
- Added an option to alt-click for invite. Also an option to convert stuff to invite links.
- Merchant skin now marks recipes/mounts you already know
- Order Halls auto work orders options
- Objective tracker skin now has option to not hide stage background
- New options for AFK screen: player info, date and crests can now be moved by offset options. Time can now be set to 12h format if needed.
Fixes:
- Attempted to fix error with S&L guild dt when one of guild members happen to be in the middle of actual nowhere
- Fixed error in item level dt cause by empty slots
- Enchant warnings for weapons made their return but are now limited to ilvl <= 750
- Inspect highlight texture is now less green, way less green
- Always show tooltip option will now not lock the respective cvar if ElvUI tooltip is disabled
- Attempted to fix an error with paladin talent in Armory
- DPS spam filter should now capture Detailes! once again
- Fixed random error caused location panel menu to not show toys for some people
- Removed double shadow from vehicle bar
- Role icons should no longer reset to default on unitframes
- Fixed S&L friends/guild datatexts tooltips not respecting tooltip text font and size setting of ElvUI
Changes:
- Tweaked visuals for legion invasion progress bar
- Frame level of the UI Buttons mover is now over 9k = not overlapped by chat panels
- Skinned mail icon no longer has backdrop is not on the button bar

v3.12 08/14/2016
Fixes:
- Inspect Armory options for gems are now changeable again
- Fixed error on trying to inspect Demon Hunters
Changes:
- S&L Curency datatext will now warn you if you have ElvUI's gold datatext enabled somewhere and block it from functioning.
- Legion invasion progress bar is now also skinned
- Item level datatext now uses different method to show items' levels in tooltip

v3.11 08/09/2016
Additions:
- Added korean templates for merchant frame styled as scroll list.
- When in scroll list style merchat frame now should show cost as yellow text if it uses items that do not considered currency by the game.
- Added an option for location panel's right click menu to show where your hearthstone is actually bound.
Fixes:
- Fixed transparent buttons not applying to pet bar
Misc:
- Fixed some typos

v3.10 08/06/2016
Additions:
- New option for S&L guild/friends datatexts to hide title text in tooltip
Fixes:
- Fixed error in S&L guild/friends datatexts on right click
- Fixed (hopefully) aggro numbers randomly appearing on nameplates of mobs not in combat with player
- Fixed a number of errors in Armory when either character screen skin or Armory itself were disabled
- Fixed enhanced shadow acting weird on unitframes
- Fixed pet battle skin error
- Fixed some stuff leaking through compatibility logic in Armory
- Fixed inability to scroll titles list
- Adopted a workaround for TSM Crafting's flawed logic they were too important to fix themselves.
Changes:
- Armory now shows "enhancement" stats in decimal form


v3.09 08/02/2016
Additions:
- Added button size and button spacing on enhanced vehicle bar. It also can now be moved around (mover is in S&L Misc config group)
- New options to show characters item level as equipped/average format. Also this giant number is way less giant.
- New options for Armory to show character stats that Blizzard decided we don't need. Movement speed anyone? Script based on DejaCharacterStats addon by Dejablue
- New option to change location panel width based on location name length
- New options to create a shadow for a number of ElvUI unitframes and actionbars
- New option for S&L guild and friends datatext to change text displayed
Fixes:
- Fixed instance indicator not updating when difficulty is changed inside the instance
- Fixed Affinitii's addons profile not actually applying (got exactly zero reports on that one, shows how much people actually wanted the thing)
- Fixed ItemRack button refusing to stay on the bar
Changes:
- Minimap icon bar buttons per row increased up to 30
- Equip manager will not try to change sets when you are in a vehicle
- Location panel will no longer show unappropriate toys in relocation menu (bye wormholes for non engineers)

v3.08 07/28/2016
Fixes:
- Fixed incorrect logic in global update causeing errors on profile switch and install (also caused errors on some options changing)
- Fixed selected tab indicator not recognising newly created tabs until reload
- Fixed chat tab indicator not working if lock position is disabled in ElvUI's config
- Fixed data panels not respecting alpha setting
- Fixed mimimap butons bar stealing control over lfg button on minimap

v3.07 07/28/2016
This version requires ElvUI 10.12 to run.
Additions:
- Affinitii's layout made its return to install. Keep in mind that this setup was not updated in years and can look not ideal. You'll need to change it a bit after applying.
- Added an ption to change merchant frame into scrollable list. Based on a code from xMerchant addon by Nils Ruesch
Fixes:
- Fixed annoying whisper sound played when chat history was dumped
- Fixed minimap coordinates options being greyed out when loc panel was disabled
-Fixed minimap coordinates being truncated
- Fixed all reset buttons in config (cause no one ever pressed those while testing)
- Fixed scrollbar in trade ui being all the way down
Changes:
- Currency DT now follows ElvUI's setting for showing coins (including in tooltip)
- Changed the way frames are registered for hiding in pet combat as of changes in ElvUI 10.12. Now things will not overlap eachother after leaving pet battle.

v3.06 07/24/2016
Requires ElvUI v10.09 or higher to work
Additions:
- Chat datapanels can now have their backdrop hidden
- Added options for strata, frame level and backdropn style on UI Buttons. Those are locked under advanced options.
- Added an option for equip manager to create a button in character frame that temporary (until relog or reloadui) disables auto swapping of sets.
Fixes:
- Fixed class bar texture not applying for stagger and druid mana.
- Also potentially fixed weird crash from classbar texture
- Fixed icons shown for data panels with mouseover enabled after login or reload
Changes:
- Changed the logic for instance indicator. Now show Icon option is no longer needed and was removed (previously locked under advanced). Now the flag texture automatically hides when indicator is inabled.
- Hide panel backdrop for additional datatexts now don't require reload

v3.05 07/23/2016
Fixes:
- Fixed easy cast fishing not respecting ignore pole option
- Fixed raid utility being stubborn when mouseover option is checked
- Fixed minimap buttons skinning applied when option is disabled
- Fixed skinned minimap buttons jumping around all over the place (thanks to the only person who actually explained how to reproduce that instead of talking gibberish)
- Fixed error caused by incompatibility popup about LocLite #IBlameBenik
Misc:
- Added missing locales

v3.04
Additions:
- Equip manager now has an options for Timewalking sets
Fixes:
- Fixed raid progress tooltip throwing errors left and right
Misc:
- DejaCharacterStats' button is now higher than armory texture


v3.03 07/21/2016
Fixes:
- More fixes for people not reading changelogs and having leftover files from v2
- More safe checks
Misc:
- Some backend tweaking to armory

v3.02 07/21/2016
Fixes:
- Added more checks to prevent some code from loading when corresponding ElvUI module is disabled
Misc:
- Blizz changed salvage crates, 2 new crates were added to garrison toolbar. I'm yet to get the third type.

v3.01 07/20/2016
Fixes:
- Fixed nameplates error cause by copy-paste fail
- Fixed errors in profession module when ElvUI bags are disabled
Misc:
- Attempted to prevent on load errors for non-clear installs

v3.0 07/19/2016
Overall reconfiguration of options. We would recommend to start with a fresh clean install for this one.
Repooc's install layouts are not available at the moment.
This version is nowhere near being fully completed. More stuff comes.

This version is for patch 7.0 if you don't have that installed on your server, don't update just yet

Additions:
- Some config groups will now be disabled if required ElvUI modules are not enabled.
- Messages for honorable kills and honor gained can now be formatted in several ways
- Experience gained text can now be formatted to look nicer
- Reputation text can now be formatted to look nicer.
- Option to show ALL possible factions standing change for the action: like having all faction races reputation increased on gaining rep with only one of them.
- Tooltip group now has an option to always compare items
- You can now justify text in chat (separate for each chat window)
- Loot section now has an option to show icons near item links in selected chat channels
- Added the ability to auto cancel selected types of duels
- A new option to make a lot of blizzard frames movable
- New section for profession specific stuff
- Ability to have a button to apply enchant to the scroll
- Option for deconstruction mode - DE, mill, prospect and pick lock in one click in your bags
- Ability to unlock boxes in trade window (decinstruction mode should be enabled)
- Ability to cast fising with a double click on the screen
- Added the ability to move out of range indication to keybind text instead of coloring the entire button
- Added the ability to have "highlight texture" on the button for spells that require to choose location
- Added the option to automatically select quest reward with highest selling price
- Party and Raid frames now can have and indicator on players who are offline
- An option to increase the number of lines stored in chat
- An option for raid progression in tooltip
- Options for deiiferent textures on powerbar, aurabars, classbar and castbar
- More options for combat indicator
- Datatext panels now have option to show on mouseover (we advise to not use datatext with icons on them with mouseover tho)
- Bags now have an option for transparent slot template
- Actionbars now have optios for transparent backgrounds and buttons.
- Added an option for selecet chat tab indicator
- Added an option for viewport (if you don't know wtf is that, you probably don't need it)
- Added an option for selecting which chat channels to store in history
- Added an option to change the size of chat history
- Added an option to control rested icon on player frame
- Added an option to change fonts for objective tracker
- Added an option to change the color of header text in objectie tracker
- Added an option to allow additional skinning for objective tracker
- Added advanced options toggler
- Added options to have S&L buttons in game menu
- Added an option to show your killing blows as a boss banner in pvp
- Added location panel looking exactly like LocationLite
- Added additional skin options for merchant frame. Not you can have 10+ items on a page.
- Added an option to alter unitframes and actionbars spacing limits
- Added an option to scale vehicle seat indicator
- Added an option to make overlay portraits visible regardles of helath level, also their alpha can now be customized
- Added hearthstone/portals dropdown to location panel
- Added an option to remove people from gold datatexts one by one
- Added an option to slightly resize health prediction bars. You'll not notice the difference in most cases.
Fixes:
- Fixed veicle bar not hiding actionbar 1
Changes:
- AFK screensaver now doesn't replace ElvUI's one but instead enhances it with a number of customization options. You will find those in /ec -> Shadow & Light -> AFK Mode
- PvP autorelease function now has the option to not check for rebirth mechanic such as Reincarnation and SoulStone
- Additional datatext panels had names changed and the code redisinged overall.
- Backgrounds had their names changed to be numerical instead of arbitrary "Action BG"
- Currency dataext's settings are now profile based and not character based.
- Farm and Garrison modules moved into new legacy config group.
- Movers for a lot of elements will not be visible when respective elements are disabled
- More textures
- Removed old tags, added a couple of new ones (absorbs:sl-short, absorbs:sl-full)
Misc:
- Some texts should finally be translated (blame Repooc for not including them like 2 years ago)
- Ashran should now be detected as open world pvp area by autorelease code (if anyone still cares bout that place)
- Russian specific chat commands cause to hell with languadge switching
- Stolen BenikUI's one pixel statusbar texture

v2.32 03/22/2016
- Replaced old BNet API with new one

v2.31 03/07/2016
- Apparently Darth forgot something in terms of accounting :D

v2.30 03/05/2016
- Account for ElvUI's unitfrafe overhaul

v2.29 12/16/2015
Fixes:
- Fixed rare weird behavoir of right chat panel with skada embedded with some visibility combinations.
- Fixed (in theory) CBB not being able to be horizontal when using custom tweaks.
Changes:
- AFK screen once again provides an option to exit without moving in case you've managed to go afk while in pet battle or dead. To do that click on expantion logo.
- Try to support masque support o_O
- Currncy datatext now shows timewarped bages and valor

v2.28 9/3/15
Fixes:
- Fixed a number of problems with consolidated buff bar in combat
- Added a new failsafe for inspect

v2.27 8/21/15
Fixes:
- Fixed an issue with mark bar causing trouble with "illegal" mark macro.
Changes:
- Removed some unneeded libs and changed references in the rest to accomodate for ElvUI's changes.
- Minimum ElvUI version needed is now 8.26

v2.26 8/13/15
Changes:
- Removed the option to hide combat icon, cause ElvUI 8.25 have that

v2.25 8/2/15
Fixes:
- Fixed chat tabs not being able to resize or move

v2.24 8/2/15
A license file is now included in the addon folder. Please make sure to read it.
Changes:
- Adapted chat code according to changes in ElvUI 8.24
- Code changes to better work with multi-monitor setups
- Tweaked installation scripts so it wouldn't resert settings from DTBars2
Fixes:
- Fixed disconnection issues some players experienced when inspect armory was enabled (issue 147)
- Fixed Consolidated Buff Bar's sizing (issue 148)
- Attempted to fix the problem with camera after leaving afk screen

v2.23 7/4/15
From now on updates may be slower since we both don't actively play WoW anymore.
Additions:
- "Boss Mod" button in UI Buttons once more works with BigWigs
Changes:
- UI Buttons now has slightly lower strata. Shouldnt be seen over other frames.
- Updated auto work orders for shipyard

v2.22 6/25/15
Additions:
- Additional option for garrison aotu work orders - shipyard. Darth suspects there will be time when its queue will be bigger then 1 ship so made this just in case.
Changes:
- Changed the way S&L interacts with oRA3. No more incompatibility popups. For the time being you can come across some issues when inspecting people wile using both armory mode for it and oRA. Hopefully will be fixed soon. A "Raid" option group will be disabled if you use oRA3 tho cause of similar functionality.

v2.21 6/23/15
For preventing issues we recommend you to remove Shadow & Light and install it again instead of usual updating process due to some files have been moved or renamed.
Also due to changes in settings tables you may experience errors on profile change or entering/leaving the zone. Those errors potentially can result in your profile being reset to defaults. We recommend you to backup your settings prior to loggin into the game in case we can't find all those.
Additions:
- New options to control visibility of quest log in sertain areas. It can be full, minimized or hidden.
- New option for UI Buttons to show/hide backdrop on the main menu panel.
- New option for consolidated buffs bar. You will be able to show a small classcolored indication on the icons of buffs your class can provide. This option applies to the character.
- New option for Armory to hide warning icons on slots without ench/gems
- New option group "Raid". Allows you to customize blizz raid manager (O -> Raid)
Changes:
- Config sections that have new stuff in them are now marked with an exclamation points.
- Changed the way UI Buttons are operating. Transition will result in next options returning to default values: mover position, horizontal/vertical orientation, custom roll limits, quick actions states for dropdown mode.
- Tooltips for Consolidated Buffs bar are back.
- Did some optimizations for 2 years old code sections.
- UI Buttons to open config are now doing nothing while in combat. This prevents issues with Ace-Config library untill we'll be able to fix that.
- Screensaer now should be less demanding on cpu.
- Removed "Exit AFK" button in screensaver.
- To avoid confusion core ElvUI's options disabled/moved by S&L are now replaced with buttons redirecting user towards the place where he/she can cancel the effect.
- Darth finished (yeaaaah riiiiight) messing around with his layout.
Fixes:
- Fixed the button from PAWN addon being unclickable with armory mode enabled
- Fixed numerous errors when inspecting people (probably not all of them so keep an eye on those)

v2.20 5/8/15
Fixes:
- Fixed DKs not able to cast Horn of Winter from consolidated buff bar
- Fixed unitframe errors on BGs (#125 and #124)
- Fixed install again (#126)
- Fixed error in Armory upon disabling ElvUI's skin for character frame (#127)

v2.19
Fixes:
- Seems like we managed to break install. Fixed now.

v2.18 5/4/2015
Additions:
- New option in general -> unitframes. Allowes you to choose role icons for your raid frames. Also applies to chat role icons. You will be able to preview icons in config window.
- New option for UI Buttons to show backdrop for menue groups in dropdown mode.
- Now you are able to cast class specific raid buffs (eg. Mark of The Wild) by left clicking on respective icon on consolidated buff bar.
- New options for durability datatext. Gradient allows the value text to be colored by the value itself. Threshlod will allow you to make datatext flashing when the value is lower then set number. Thanks our french lazy friend for the idea.
- New option under Media to change text fonts for quest and gossip frames.
Fixes:
- Fixed time datatext flashing on new calendar events not active with S&L.
- Fixed some rare error on group roster update when someone actually has no roles set.
- Fixed an error when ElvUI is showing chat history.
Changes:
- Screensaver options are moved out of Media group.
- Increased offset limits for instanse text indicator on minimap.
- Change hide chat in combat option. Now you are able to choose what chat will be hidden: both, left only, right only or none.
- Darth changed his layout again with a big change planned for later. You are warned.
- Armory mode is now fully functional.
Armory Mode:
- All options are now woring at full potential
- Added an option to filter enchant effect strings on character and inspect frames. For example replace "movement speed" with "eating speed". Option is global.

v2.17 4/15/2015
- Fixed some of chat options in ElvUI still not working with S&L enabled

v2.16 4/15/2015
- Fade Undocked Tabs option should be working with S&L enabled now.
- Custom background for character screen now shouldn't throw errors on applying.
- Fixed auto queue work orders taking double resourses for some reason. Issue #114
- Fixed some auras being anchored wherever they wish in pet battles.
- Fixed tools buttons for garrison mine sometimes not actually working. Issue #116
- Fixed LRF status for BRF being completely wrong (cause dammit blizz)
- Added an option for chat to filter DPS meters' spam by turning it into a hyperlink.
- Added a custom variant to marker bar visibility options. That one is working just as actionbars visibility.
- A little improvement to the equipment manager's logic on when switching stuff
- Farm module now shows actual item tooltips on its buttons
- Added an option to set own alpha for textures in chat ignoring global alpha on transparent frames.
- Added an option to hide chat in combat
- Added a lot of options for instance difficulty indicator on the minimap
- Added option to click throught background frames

v2.15 2/24/2015
- Fixed error on profile change. Issue 110

v2.14 2/24/2015
- Removed max work order button cause Blizzard made their own. The option to auto queue max amount is still there.
- Fixed a couple of errors in install when applying author's layouts
- Patch 6.1 ready and stuff

v2.13 2/16/2015
- Error frame is now movable. That frame contains any red text errors like out of range adn stuff. Also it contains location discovery and quest progress texts.
- UI buttons in dropdown style now have a button for xCT options under addons section
- Time datatext can now show Blackrock Foundry LFR status
- Fixed an error when trying to send a message to a friend in Heroes of The Storm via S&L Friends datatext

v2.12 1/1/2015
- UI buttons font now doesn't change only on load. You'll see the difference the same moment you cahnge default ElvUI font. Also this font now respects default font size instead of being always constant.
- By popular demand Ui buttons now have a style option. You can turn back classic style if you don't like the new look. This option is private so you'll need to change it on all your characters.
- Raid mark bar now can be set to be always shown.
- Added options for work orders queuing. Auto queue will automatically make max amount of work orders available, this does not affect Warmill/Trading post (you can enable that with 2 other options).
- Added max queue button in garrison buildings. Doing pretty much the same as auto queue option. Can be disabled.
- Farm module now has a bar for salvage crates and mine tools (pick and coffee)

v2.11 12/14/2014
- Fixed errors on login when ElvUI's bag module was disabled
- Fixed sizing issues with screensaver when autoscale wasn't there
- Errors on changing backgrounds size
- Added quick action functionality to ui buttons
- Fixed error when trying to apply Darth's config
- Added HighMaul LFR info to time datatext

v2.10 11/27/2014
- Fixed Vehicle Grey Issue #70
- Cleanup some backend code
- Added a new tag: 'health:sl:darth-heal'. Returns health in format "Deficit / Current | Percent". Yeah, Darth likes to make stupid stuff.
- Transmog info now should be correctly shown when inspecting non S&L users.
- (+0) string appearing in character window is gone for good now.
- Loot rolls fixed.
- New items in bags will now flash! You can disable it in S&L config if you don't like it.
- UI Buttons are complitely rewritten and are acting in a different way. Now there are only 4 buttons. Those buttons open dropdown menues with a number of options in each.
"C" - Config group. Containes buttons for opening ElvUI config, S&L config, reload ui and showing anchors. BenikUI users will have the button to directly open BenikUI config.
"A" - Addons. Allowes to open addon manager, boss mod (no BigWigs or DXE support atm, sorry) and a number of other addons.
"S" - Status. buttons to set yorself afk or dnd
"R" - Rolls. Provides a number of different roll ranges plus a button for custom roll range then can be set in S&L options (default is 1-50)
Dropdowns positioning and orientation are fully customised. If you were using ui buttons before and moved the bar from default position you will want to change those options asap.
- Fixed work orders progress being visible on screensaver. Issue #75
- Dear russian users! Darth finally found his grammar book and managed to fix a lot of typos... possibly?
- Darth updated his layout to reflect some changes in latest ElvUI versions.
- Raid marks and raid flares bars are now one bar. Thus settings for those have been reset. Features 2 visibility states:
default - shown if you have target selected or in a group
in group - always shown if you are in a group

v2.09 10/30/2014
- Added AddonSkins Embed system (Backend stuff, users don't need to adjust anything if using AddonSkins embed system)
- Fixed Ace Error if viewing S&L Screensaver's Graphics Section

v2.08 10/27/2014
- Fixed install error due to update all hooked to function i deleted for uibutton fix

v2.07 10/27/2014
- Fixed UIButtons lua error for mouse over + combat
- Fixed LFG Icon in minimap location if you resize the minimap

v2.06 10/25/2014
- Update Ace Libs
- Remove RealmInfo Libs
- Updates to S&L Screensaver (Tweaks & Auto Cancel AFK on Queues)
- Patch Right Chat fix for new ElvUI feature

v2.04 & v2.05 10/22/2014
- Fixed chat item tooltip flickering
- Updated filters from Affiniti in import section
- Using our layouts should no longer cause AddonSkins to throw errros around
- Screensaver model can now be placed in center of the screen
- Added a button to screensaver that allows to remove afk flag (hiding screensaver as well). Or you can exit AFK by hitting Escape button. Usefull for those who doesn't have auto clear afk enabled.
- Added more flares to the raid flares bar
- Fixed Armory mode breaking pet stats window
- ElvUI has own screensaver now. Enabling the one from S&L will now disable Elv's. Also the option in /ec - general will no longer be available for activation until our screensaver is turned off.


v2.03 10/17/2014
- Try to fix chat stuff
- S&L Install modifications

v2.02 10/15/2014
- Another Fix for chat icons

v2.01 10/15/2014
- Fixed Range Datatext
- Fixed Chat bug with icons
- Fixed Rep/Currency Tab width when Armory Mode Enabled

v2.00
In general added a lot of new stuff and improved the way everything works.

Configuration:
New configuration layout has been implemented in preparation to WoD. Now the options are grouped up differently. Take some time to get used to them though.
- Most of the options are now concentrated in Settings group with tabbed groups in that section.
- Media group contains options for Zone and Subzone titles, Mail and Chat Editbox fonts, as well as a neat screen saver option for when you go afk
- Character window options have been moved to the new "Armory" group. The Armory module handles not only the character window but the inspect window as well. If enabled inspect option in the right-click menu will became blue and you will be able to inspect other S&L users.  Please note this is very beta and stuff may be broken at time of 6.0.2 release.
- Panels and Dashboard now houses not only datatext options but background frames as well
- New About/Help group contains various links to the download/bug report locations
- S&L Install isn't included in ElvUI's installation process like before.  It now launches after completing ElvUI's install which reloads the UI.
- Added nameplate options. You are now able to see your threat and a number of people in your group targeting each unit

Auras (Buffs/Debuffs):
- Option to remove the time remaining for buffs/debuffs for a more minimal look (Your welcome Rehok via twitch)

Background Panels:
- Added alpha option to background panels

Character Frame (Armory Mode):
- Fixed taint that was in live version and 6.0

Chat:
- Added an option to show an icon near Guild Master's messages in guild chat. Reminds people of who is the boss around here.
- No longer forcing chat data panels repositioning on users.
- Added two buttons to reset chat history and editbox history.

Datatexts:
- Added a number of datatexts
-- Range Datatext
-- iLvl Datatext
-- Agility Datatext
-- Intellect Datatext
-- Stamina Datatext
-- Strength Datatext
-- Energy Regen Datatext
- S&L Friends Datatext now filters double instances of B-Net friends
- Version Datatext now shows full ElvUI version instead of only 2 digits of minor version number
- Added alpha option to datatext panels

Incompatible addons:
- Updated the Enhanced Incompatible Message so it can be ignored/Disable Enhanced Addon before reporting issues (Do not report conflicts with ElvUI Enhanced Addon, we do not support it as it is out of date)
- No more identical module names with other ElvUI plugins = no more unexpected incompatibilities!
- The following addons are incompatible with Shadow & Light as they provide the same options:
-- ElvUI_Enhanced
-- Loot Confirm
-- SquareMinimapButtons

Loot:
- Loot announcer now shows item's ilvl allowing you to tell apart warforged and regular gear apart
- Added override option to announce loot with out needing a modifier or by selecting a modifier (Doesn't require you to be RL/Assist/ML anymore)
- Added options to automatically confirm loot collecting for BoP and disenchanting
- Added options to automatically roll greed and/or disenchant for selected quality of items on max level or after the selected level of your choice. With ElvUI's option, you can only greed green quality items if no enchanter is in the group.
- Disabled ElvUI's Auto Greed/DE option when our auto loot module is enabled

Minimap:
- Changed Minimap Icons to enable/disable skinning of the icons, and enable/disable the bar if skinning is enabled.
- Added an option to show instance mode with text instead of texture on minimap.

Pet Battles:
- Added the ability to move pets' health, buffs and all that stuff around

Raid Marks:
- Added mouseover option for both Raid Marks and Flare bars
- Added an option for Raid Marks to appear only if target is selected

Unitframes:
- Added new tag [range:sl] to show range on frames like target, focus and such